import_from_trac imports some trac wiki pages

2008-03-26 13:31 - Andreas Neuhaus

Status: Closed Start date: 2008-03-26

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Importers Estimated time: 0.00 hour

Target version: 0.7   

Description

rake redmine:import_from_trac imports some trac-related wiki pages. Here's a patch to extend the wiki importer blacklist to also

exclude InterMapTxt, InterTrac, InterWiki, RecentChanges, SandBox and TracRevisionsLog:

Index: lib/tasks/migrate_from_trac.rake

===================================================================

--- lib/tasks/migrate_from_trac.rake    (revision 1291)

+++ lib/tasks/migrate_from_trac.rake    (working copy)

@@ -149,10 +164,10 @@

         def time; Time.at(read_attribute(:time)) end

       end

-      TRAC_WIKI_PAGES = %w(TracAccessibility TracAdmin TracBackup TracBrowser TracCgi TracChanges

et \

+      TRAC_WIKI_PAGES = %w(InterMapTxt InterTrac InterWiki RecentChanges SandBox TracAccessibilit

y TracAdmin TracBackup TracBrowser TracCgi TracChangeset \

                            TracEnvironment TracFastCgi TracGuide TracImport TracIni TracInstall T

racInterfaceCustomization \

                            TracLinks TracLogging TracModPython TracNotification TracPermissions T

racPlugins TracQuery \

-                           TracReports TracRoadmap TracRss TracSearch TracStandalone TracSupport 

TracSyntaxColoring TracTickets \

+                           TracReports TracRevisionLog TracRoadmap TracRss TracSearch TracStandal

one TracSupport TracSyntaxColoring TracTickets \

                            TracTicketsCustomFields TracTimeline TracUnicode TracUpgrade TracWiki 

WikiDeletePage WikiFormatting \

                            WikiHtml WikiMacros WikiNewPage WikiPageNames WikiProcessors WikiRestr

ucturedText WikiRestructuredTextLinks \

                            CamelCase TitleIndex)

Associated revisions

Revision 1297 - 2008-03-27 00:22 - Jean-Philippe Lang

Trac importer: exclude more Trac wiki pages (#933).

History

#1 - 2008-03-27 00:23 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 90 to 100

Patch applied in r1297. Thanks.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/1297
http://www.tcpdf.org

